//
//  PurchaseNoticeCell.m
//  XFFruit
//
//  Created by mac on 15/8/18.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "PurchaseNoticeCell.h"
#define TitleSize 17
#define LeftMargin 15
#define TableHeight 46
#define TableWidth 60

@implementation PurchaseNoticeCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    
    self =  [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        
        self.isSelected=NO;
        [self bulidLayout];
    }
    return self;
}

- (void)bulidLayout
{
    self.HeardLabel=[[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin, 0, ScreenSize.width - LeftMargin * 2, 1))];
    self.HeardLabel.backgroundColor = HexColor(@"e5e5e5");
    self.HeardLabel.font = FontSize(TitleSize);
    
    self.FootLabel=[[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin, self.size.height-1, ScreenSize.width - LeftMargin * 2, 1))];
    self.HeardLabel.backgroundColor = HexColor(@"e5e5e5");
    self.HeardLabel.font = FontSize(TitleSize);
    
    self.SpLabel = [[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin+20, 0, TableWidth, TableHeight))];
    self.SpLabel.textAlignment= NSTextAlignmentLeft;
    self.SpLabel.textColor = HexColor(@"666666");
    self.SpLabel.font = FontSize(TitleSize);
    
    self.DjLabel = [[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin+80, 0,  TableWidth,TableHeight ))];
    self.DjLabel.textAlignment= NSTextAlignmentLeft;
    self.DjLabel.textColor = HexColor(@"666666");
    self.DjLabel.font = FontSize(TitleSize);
    
    self.BzggLabel=[[UILabel alloc]initWithFrame:CGRectMake(LeftMargin+150, 0, TableWidth, TableHeight)];
    self.BzggLabel.textAlignment= NSTextAlignmentLeft;
    self.BzggLabel.textColor = HexColor(@"666666");
    self.BzggLabel.font = FontSize(TitleSize);
    
    self.BzslLabel=[[UILabel alloc]initWithFrame:CGRectMake(LeftMargin+240, 0, TableWidth, TableHeight)];
    self.BzslLabel.textAlignment= NSTextAlignmentLeft;
    self.BzslLabel.textColor = HexColor(@"666666");
    self.BzslLabel.font = FontSize(TitleSize);
    
    self.SpLabel.text=@"1 西瓜";
    self.DjLabel.text=@"0.8";
    self.BzggLabel.text=@"1*12";
    self.BzslLabel.text=@"100框";
    self.subSview=[[UIView alloc]initWithFrame:CGRectMake(0, 50, ScreenSize.width, TableHeight*3)];
    
   
    
    NSArray*array=[NSArray arrayWithObjects:@"包装规格",@"基础数量" ,@"包装单价",@"备注",nil];
    NSArray*array1=[NSArray arrayWithObjects:@"包装数量",@"基础单价" ,@"总金额",nil];
    
    for (int i=0; i<array.count; i++) {
        UILabel *lable=[[UILabel alloc]initWithFrame:CGRectMake(TableWidth-10, i*(10+10), 100, 10)];
        lable.text=[array objectAtIndex:i];
        lable.font=FontSize(TitleSize-2);
        [lable setTextColor:HexColor(@"444444")];
        [self.subSview addSubview:lable];
    }
    for (int i=0; i<array1.count; i++) {
        UILabel *lable=[[UILabel alloc]initWithFrame:CGRectMake(TableWidth+150, i*(10+10), 100, 10)];
        lable.text=[array objectAtIndex:i];
        lable.font=FontSize(TitleSize-2);
        [lable setTextColor:HexColor(@"444444")];
        [self.subSview addSubview:lable];
    }
    self.subSview.hidden=YES;
    
    self.button=[UIButton buttonWithType:UIButtonTypeCustom];
    [self.button setFrame:CGRectMake(310, 0, 50, 50)];
    [self.button setImage:[UIImage imageNamed:@"AttachHide"] forState:UIControlStateNormal];
//    [self.button setTitle:@"编辑" forState:UIControlStateNormal];
//    [self.button setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [self.contentView addSubview:self.button];
     [self.contentView addSubview:self.subSview];
    [self.contentView addSubview:self.SpLabel];
    [self.contentView addSubview:self.DjLabel];
    [self.contentView addSubview:self.BzslLabel];
    [self.contentView addSubview:self.BzggLabel];
    [self.contentView  addSubview:self.HeardLabel];
//    [self.contentView  addSubview:self.FootLabel];
}
- (void)setTitleStr:(NSString *)str

{
  
   
   
    }
- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
